[openssh-commits] [openssh] 01/02: upstream: Add a connection test for proxycommand. This would have
git+noreply at mindrot.org
git+noreply at mindrot.org
Sat Jan 25 12:53:05 AEDT 2020
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
commit b2df804f571d77b07059f087b90955ffbc2f67d4
Author: dtucker at openbsd.org <dtucker at openbsd.org>
Date: Fri Jan 24 10:08:17 2020 +0000
upstream: Add a connection test for proxycommand. This would have
caught the problem caused by ssh.c rev 1.507 wherein Host and Hostname were
swapped. Prompted by beck@
OpenBSD-Regress-ID: d218500ae6aca4c479c27318fb5b09ebc00f7aae
---
regress/connect.sh | 13 +++++++++++--
1 file changed, 11 insertions(+), 2 deletions(-)
diff --git a/regress/connect.sh b/regress/connect.sh
index 1b344b60..5e492b86 100644
--- a/regress/connect.sh
+++ b/regress/connect.sh
@@ -1,11 +1,20 @@
-# $OpenBSD: connect.sh,v 1.6 2017/04/30 23:34:55 djm Exp $
+# $OpenBSD: connect.sh,v 1.7 2020/01/24 10:08:17 dtucker Exp $
# Placed in the Public Domain.
tid="simple connect"
+NC=nc
+
start_sshd
+trace "direct connect"
${SSH} -F $OBJ/ssh_config somehost true
if [ $? -ne 0 ]; then
- fail "ssh connect with failed"
+ fail "ssh direct connect failed"
+fi
+
+trace "proxy connect"
+${SSH} -F $OBJ/ssh_config -o "proxycommand $NC %h %p" somehost true
+if [ $? -ne 0 ]; then
+ fail "ssh proxycommand connect failed"
fi
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list